> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/~/revisions/AMiYziCllTKB2y2lmONY/storage-and-backup/network-file-storage/api-how-tos/retrieve-shares.md).

# Retrieve Shares

You can retrieve the list of all shares from within a cluster using its `clusterId`. The number of results displayed on each page depends on the following values:

* `limit` limits the number of response elements.
* `offset` specifies the starting point within the collection of resource results returned from the server.

## Endpoint

Use the regional endpoints to retrieve all shares:

* `https://nfs.de-txl.ionos.com/clusters/{clusterId}/shares`
* `https://nfs.de-fra.ionos.com/clusters/{clusterId}/shares`

## Request

{% hint style="info" %}
**Note:** The following request contains sample values. Remember to replace them with the relevant information.
{% endhint %}

```json
curl -X 'GET' \
  'https://nfs.de-txl.ionos.com/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead/shares?offset=0&limit=100' \
  -H 'accept: application/json'
```

{% tabs %}
{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| Header Parameters | Required |  Type  | Description                                                                                                                                                                                                        |
| ----------------- | :------: | :----: | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `Authorization`   |    yes   | string | You can use `Basic Authentication` or a `Bearer token`. For more information, see [Authentication](/cloud/~/revisions/AMiYziCllTKB2y2lmONY/storage-and-backup/network-file-storage/api-how-tos.md#authentication). |
| `Content-Type`    |    yes   | string | Set this to `application/json`.                                                                                                                                                                                    |
| {% endtab %}      |          |        |                                                                                                                                                                                                                    |

{% tab title="Path Parameters" %}
Below is the list of mandatory path parameter:

| Body Parameters | Type   | Description                   | Example                                |
| --------------- | ------ | ----------------------------- | -------------------------------------- |
| `clusterId`     | string | The ID (UUID) of the Cluster. | `e69b22a5-8fee-56b1-b6fb-4a07e4205ead` |
| {% endtab %}    |        |                               |                                        |
| {% endtabs %}   |        |                               |                                        |

## Response

A **200** message confirms that all shares from within the specific cluster are successfully retrieved.

````json
{
  "id": "ce834630-97f2-56a7-bc99-4427e61d4714",
  "type": "collection",
  "href": "/clusters/{clusterId}/shares",
  "items": [
    {
      "id": "7b1ef56d-dfc6-51fe-aff0-7af2d6747868",
      "type": "share",
      "href": "/clusters/{clusterId}/shares/7b1ef56d-dfc6-51fe-aff0-7af2d6747868",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "status": "AVAILABLE",
        "statusMessage": null,
        "nfsPath": "/data/example-export"
      },
      "properties": {
        "name": "example-export",
        "quota": 512,
        "clientGroups": [
          {
            "ipNetworks": [
              "10.234.50.0/24"
            ],
            "hosts": [
              "10.234.62.123"
            ],
            "nfs": {
              "squash": "all-anonymous"
            }
          }
        ]
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
} ```
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/~/revisions/AMiYziCllTKB2y2lmONY/storage-and-backup/network-file-storage/api-how-tos/retrieve-shares.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
